#!/bin/bash

#This script shows how the number of reads mapping to the honey bee gut microbiota and the host-genoomes were counted. The counts were done on the fastq-files, which need to be present (or soft-linked) to the run directory.

# *paired_R1.fastq.gz : all quality-filtered paired reads (see raw data processing for how to generate these
# *non_gut_db_R1.fastq: all paired reads not mapping to current gut microbiota db (see "mapping.sh" in current directory)
# *all_unmapped_R1.fastq: all paired reads not mapping to neither current gut microbiota db, nor the host genome db (see "mapping.sh" in current directory)

declare -a names=(
    AmAi01
    AmAi02
    AmAi03
    #etc
)

echo -e "Sample\tAll\tNon_db\tNon_map" > mapped_fractions.txt
for i in ${names[@]};do
    PREFIX=$i
    echo $PREFIX
    ALL=$PREFIX"_paired_R1.fastq.gz"
    NON_DB=$PREFIX"_non_gut_db_R1.fastq"
    NON_MAP=$PREFIX"_all_unmapped_R1.fastq"
    NB_ALL=$(zcat $ALL | grep -c -E '(@HISEQ|@WINDU)')
    NB_NON_DB=$(grep -c -E '(@HISEQ|@WINDU)' $NON_DB)
    NB_NON_MAP=$(grep -c -E '(@HISEQ|@WINDU)' $NON_MAP)
    echo -e $PREFIX"\t"$NB_ALL"\t"$NB_NON_DB"\t"$NB_NON_MAP >> mapped_fractions.txt
done
